Glk
Keywords: org.p2c2e.zing.Glk class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class Glk

    java.lang.Object
      org.p2c2e.zing.Glk

public abstract class Glk
extends java.lang.Object

Nested Class Summary
`static class` | `Glk.GlkEvent`

Field Summary
`static int` | `EVTYPE_ARRANGE`
`static int` | `EVTYPE_CHAR_INPUT`
`static int` | `EVTYPE_HYPERLINK`
`static int` | `EVTYPE_LINE_INPUT`
`static int` | `EVTYPE_MOUSE_INPUT`
`static int` | `EVTYPE_NONE`
`static int` | `EVTYPE_REDRAW`
`static int` | `EVTYPE_SOUND_NOTIFY`
`static int` | `EVTYPE_TIMER`
`static int` | `FILEMODE_READ`
`static int` | `FILEMODE_READ_WRITE`
`static int` | `FILEMODE_WRITE`
`static int` | `FILEMODE_WRITE_APPEND`
`static int` | `FILEUSAGE_BINARY_MODE`
`static int` | `FILEUSAGE_DATA`
`static int` | `FILEUSAGE_INPUT_RECORD`
`static int` | `FILEUSAGE_SAVED_GAME`
`static int` | `FILEUSAGE_TEXT_MODE`
`static int` | `FILEUSAGE_TRANSCRIPT`
`static int` | `FILEUSAGE_TYPE_MASK`
`static int` | `GESTALT_CHAR_INPUT`
`static int` | `GESTALT_CHAR_OUTPUT`
`static int` | `GESTALT_CHAR_OUTPUT_APPROX_PRINT`
`static int` | `GESTALT_CHAR_OUTPUT_CANNOT_PRINT`
`static int` | `GESTALT_CHAR_OUTPUT_EXACT_PRINT`
`static int` | `GESTALT_DRAW_IMAGE`
`static int` | `GESTALT_GRAPHICS`
`static int` | `GESTALT_GRAPHICS_TRANSPARENCY`
`static int` | `GESTALT_HYPERLINK_INPUT`
`static int` | `GESTALT_HYPERLINKS`
`static int` | `GESTALT_LINE_INPUT`
`static int` | `GESTALT_MOUSE_INPUT`
`static int` | `GESTALT_SOUND`
`static int` | `GESTALT_SOUND_MUSIC`
`static int` | `GESTALT_SOUND_NOTIFY`
`static int` | `GESTALT_SOUND_VOLUME`
`static int` | `GESTALT_TIMER`
`static int` | `GESTALT_VERSION`
`static int` | `IMAGEALIGN_INLINE_CENTER`
`static int` | `IMAGEALIGN_INLINE_DOWN`
`static int` | `IMAGEALIGN_INLINE_UP`
`static int` | `IMAGEALIGN_MARGIN_LEFT`
`static int` | `IMAGEALIGN_MARGIN_RIGHT`
`static int` | `KEYCODE_DELETE`
`static int` | `KEYCODE_DOWN`
`static int` | `KEYCODE_END`
`static int` | `KEYCODE_ESCAPE`
`static int` | `KEYCODE_FUNC1`
`static int` | `KEYCODE_FUNC10`
`static int` | `KEYCODE_FUNC11`
`static int` | `KEYCODE_FUNC12`
`static int` | `KEYCODE_FUNC2`
`static int` | `KEYCODE_FUNC3`
`static int` | `KEYCODE_FUNC4`
`static int` | `KEYCODE_FUNC5`
`static int` | `KEYCODE_FUNC6`
`static int` | `KEYCODE_FUNC7`
`static int` | `KEYCODE_FUNC8`
`static int` | `KEYCODE_FUNC9`
`static int` | `KEYCODE_HOME`
`static int` | `KEYCODE_LEFT`
`static int` | `KEYCODE_MAXVAL`
`static int` | `KEYCODE_PAGE_DOWN`
`static int` | `KEYCODE_PAGE_UP`
`static int` | `KEYCODE_RETURN`
`static int` | `KEYCODE_RIGHT`
`static int` | `KEYCODE_TAB`
`static int` | `KEYCODE_UNKNOWN`
`static int` | `KEYCODE_UP`
`static int` | `SEEKMODE_CURRENT`
`static int` | `SEEKMODE_END`
`static int` | `SEEKMODE_START`
`static int` | `STRICTNESS_DIE`
`static int` | `STRICTNESS_IGNORE`
`static int` | `STRICTNESS_WARN`
`static int` | `STYLE_ALERT`
`static int` | `STYLE_BLOCKQUOTE`
`static int` | `STYLE_EMPHASIZED`
`static int` | `STYLE_HEADER`
`static int` | `STYLE_INPUT`
`static int` | `STYLE_NORMAL`
`static int` | `STYLE_NOTE`
`static int` | `STYLE_NUMSTYLES`
`static int` | `STYLE_PREFORMATTED`
`static int` | `STYLE_SUBHEADER`
`static int` | `STYLE_USER1`
`static int` | `STYLE_USER2`
`static int` | `STYLEHINT_BACK_COLOR`
`static int` | `STYLEHINT_INDENTATION`
`static int` | `STYLEHINT_JUST_CENTERED`
`static int` | `STYLEHINT_JUST_LEFT_FLUSH`
`static int` | `STYLEHINT_JUST_LEFT_RIGHT`
`static int` | `STYLEHINT_JUST_RIGHT_FLUSH`
`static int` | `STYLEHINT_JUSTIFICATION`
`static int` | `STYLEHINT_NUMHINTS`
`static int` | `STYLEHINT_OBLIQUE`
`static int` | `STYLEHINT_PARA_INDENTATION`
`static int` | `STYLEHINT_PROPORTIONAL`
`static int` | `STYLEHINT_REVERSE_COLOR`
`static int` | `STYLEHINT_SIZE`
`static int` | `STYLEHINT_TEXT_COLOR`
`static int` | `STYLEHINT_WEIGHT`
`static java.lang.String[]` | `STYLES`
`static int` | `WINMETHOD_ABOVE`
`static int` | `WINMETHOD_BELOW`
`static int` | `WINMETHOD_DIRMASK`
`static int` | `WINMETHOD_DIVISION_MASK`
`static int` | `WINMETHOD_FIXED`
`static int` | `WINMETHOD_LEFT`
`static int` | `WINMETHOD_PROPORTIONAL`
`static int` | `WINMETHOD_RIGHT`
`static int` | `WINTYPE_ALL_TYPES`
`static int` | `WINTYPE_BLANK`
`static int` | `WINTYPE_GRAPHICS`
`static int` | `WINTYPE_PAIR`
`static int` | `WINTYPE_TEXT_BUFFER`
`static int` | `WINTYPE_TEXT_GRID`

Constructor Summary
`Glk()`

Method Summary
`static void` | `addEvent(Glk.GlkEvent e)`
`static void` | `cancelCharEvent(Window win)`
`static void` | `cancelHyperlinkEvent(Window w)`
`static void` | `cancelLineEvent(Window win, Glk.GlkEvent e)`
`static void` | `cancelMouseEvent(Window win)`
`static char` | `charToLower(char ch)`
`static char` | `charToUpper(char ch)`
`static int` | `colorToInt(java.awt.Color c)`
`static void` | `exit()`
`static Fileref` | `filerefCreateByName(int usage, java.lang.String name, int rock)`
`static Fileref` | `filerefCreateByPrompt(int usage, int mode, int rock)`
`static Fileref` | `filerefCreateFromFileref(int usage, Fileref r, int rock)`
`static Fileref` | `filerefCreateTemp(int usage, int rock)`
`static void` | `filerefDeleteFile(Fileref ref)`
`static void` | `filerefDestroy(Fileref ref)`
`static boolean` | `filerefDoesFileExist(Fileref ref)`
`static int` | `filerefGetRock(Fileref ref)`
`static Fileref` | `filerefIterate(Fileref f, OutInt rock)`
`static void` | `flush()`
`static int` | `gestalt(int sel, int val)`
`static int` | `gestaltExt(int sel, int val, InOutIntBuffer arr, int len)`
`static int` | `getBufferStream(Stream s, OutByteBuffer b, int len)`
`static int` | `getCharStream(Stream s)`
`static java.awt.Image` | `getImage(int id, int xscale, int yscale)`
`static int` | `getLineStream(Stream s, OutByteBuffer b, int len)`
`static StatusPane` | `getStatusPane()`
`static boolean` | `imageDraw(Window win, int imgid, int val1, int val2)`
`static boolean` | `imageDrawScaled(Window win, int imgid, int val1, int val2, int width, int height)`
`static boolean` | `imageGetInfo(int imgid, OutInt width, OutInt height)`
`static java.awt.Color` | `intToColor(int i)`
`static void` | `progress(java.lang.String stJob, int min, int max, int cur)`
`static void` | `putBuffer(InByteBuffer b, int len)`
`static void` | `putBufferStream(Stream s, InByteBuffer b, int len)`
`static void` | `putChar(char ch)`
`static void` | `putCharStream(Stream s, int ch)`
`static void` | `putString(java.lang.String s)`
`static void` | `putStringStream(Stream stm, java.lang.String s)`
`static void` | `requestCharEvent(Window win)`
`static void` | `requestHyperlinkEvent(Window w)`
`static void` | `requestLineEvent(Window win, InOutByteBuffer b, int maxlen, int initlen)`
`static void` | `requestMouseEvent(Window win)`
`static void` | `requestTimerEvents(int delta)`
`static void` | `reset()`
`static SoundChannel` | `schannelCreate(int rock)`
`static void` | `schannelDestroy(SoundChannel c)`
`static int` | `schannelGetRock(SoundChannel c)`
`static SoundChannel` | `schannelIterate(SoundChannel s, OutInt rock)`
`static boolean` | `schannelPlay(SoundChannel c, int soundId)`
`static boolean` | `schannelPlayExt(SoundChannel c, int soundId, int repeat, int notify)`
`static void` | `schannelSetVolume(SoundChannel c, int vol)`
`static void` | `schannelStop(SoundChannel c)`
`static void` | `select(Glk.GlkEvent e)`
`static void` | `selectPoll(Glk.GlkEvent e)`
`static void` | `setBlorbFile(BlorbFile f)`
`static void` | `setCreationCallback(ObjectCallback c)`
`static void` | `setDestructionCallback(ObjectCallback c)`
`static void` | `setFrame(javax.swing.JFrame frame)`
`static void` | `setFrame(javax.swing.JFrame frame, boolean statusOn, boolean bordersOn, java.lang.String proportionalFont, java.lang.String fixedFont, int propFontSize, int fixedFontSize)`
`static void` | `setHyperlink(int val)`
`static void` | `setHyperlinkStream(Stream s, int val)`
`static void` | `setInterruptHandler(java.lang.Object o)`
`static void` | `setMorePromptCallback(ObjectCallback c)`
`static void` | `setStyle(int style)`
`static void` | `setStyleStream(Stream s, int style)`
`static void` | `setWindow(Window win)`
`static void` | `soundLoadHint(int soundId, int val)`
`static void` | `streamClose(Stream s, Stream.Result b)`
`static Stream` | `streamGetCurrent()`
`static int` | `streamGetPosition(Stream s)`
`static int` | `streamGetRock(Stream s)`
`static Stream` | `streamIterate(Stream s, OutInt rock)`
`static Stream` | `streamOpenFile(Fileref ref, int mode, int rock)`
`static Stream` | `streamOpenMemory(InOutByteBuffer b, int len, int mode, int rock)`
`static void` | `streamSetCurrent(Stream s)`
`static void` | `streamSetPosition(Stream s, int pos, int seekmode)`
`static boolean` | `styleDistinguish(Window win, int s1, int s2)`
`static void` | `stylehintClear(int wintype, int style, int hint)`
`static void` | `stylehintSet(int wintype, int style, int hint, int val)`
`static boolean` | `styleMeasure(Window win, int style, int hint, OutInt result)`
`static void` | `tick()`
`static void` | `windowClear(Window win)`
`static void` | `windowClose(Window w, Stream.Result streamresult)`
`static void` | `windowEraseRect(Window win, int left, int top, int width, int height)`
`static void` | `windowFillRect(Window win, java.awt.Color c, int left, int top, int width, int height)`
`static void` | `windowFlowBreak(Window win)`
`static void` | `windowGetArrangement(Window win, OutInt method, OutInt size, OutWindow key)`
`static Stream` | `windowGetEchoStream(Window win)`
`static Window` | `windowGetParent(Window win)`
`static int` | `windowGetRock(Window w)`
`static Window` | `windowGetRoot()`
`static Window` | `windowGetSibling(Window win)`
`static void` | `windowGetSize(Window win, OutInt b1, OutInt b2)`
`static Stream` | `windowGetStream(Window win)`
`static int` | `windowGetType(Window win)`
`static Window` | `windowIterate(Window win, OutInt rock)`
`static void` | `windowMoveCursor(Window win, int x, int y)`
`static Window` | `windowOpen(Window w, int method, int size, int wintype, int rock)`
`static void` | `windowSetArrangement(Window win, int method, int size, Window newKey)`
`static void` | `windowSetBackgroundColor(Window win, java.awt.Color c)`
`static void` | `windowSetEchoStream(Window win, Stream s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GESTALT_VERSION

    public static final int GESTALT_VERSION

See Also:
  Constant Field Values

### GESTALT_CHAR_INPUT

    public static final int GESTALT_CHAR_INPUT

See Also:
  Constant Field Values

### GESTALT_LINE_INPUT

    public static final int GESTALT_LINE_INPUT

See Also:
  Constant Field Values

### GESTALT_CHAR_OUTPUT

    public static final int GESTALT_CHAR_OUTPUT

See Also:
  Constant Field Values

### GESTALT_CHAR_OUTPUT_CANNOT_PRINT

    public static final int GESTALT_CHAR_OUTPUT_CANNOT_PRINT

See Also:
  Constant Field Values

### GESTALT_CHAR_OUTPUT_APPROX_PRINT

    public static final int GESTALT_CHAR_OUTPUT_APPROX_PRINT

See Also:
  Constant Field Values

### GESTALT_CHAR_OUTPUT_EXACT_PRINT

    public static final int GESTALT_CHAR_OUTPUT_EXACT_PRINT

See Also:
  Constant Field Values

### GESTALT_MOUSE_INPUT

    public static final int GESTALT_MOUSE_INPUT

See Also:
  Constant Field Values

### GESTALT_TIMER

    public static final int GESTALT_TIMER

See Also:
  Constant Field Values

### GESTALT_GRAPHICS

    public static final int GESTALT_GRAPHICS

See Also:
  Constant Field Values

### GESTALT_DRAW_IMAGE

    public static final int GESTALT_DRAW_IMAGE

See Also:
  Constant Field Values

### GESTALT_SOUND

    public static final int GESTALT_SOUND

See Also:
  Constant Field Values

### GESTALT_SOUND_VOLUME

    public static final int GESTALT_SOUND_VOLUME

See Also:
  Constant Field Values

### GESTALT_SOUND_NOTIFY

    public static final int GESTALT_SOUND_NOTIFY

See Also:
  Constant Field Values

### GESTALT_HYPERLINKS

    public static final int GESTALT_HYPERLINKS

See Also:
  Constant Field Values

### GESTALT_HYPERLINK_INPUT

    public static final int GESTALT_HYPERLINK_INPUT

See Also:
  Constant Field Values

### GESTALT_SOUND_MUSIC

    public static final int GESTALT_SOUND_MUSIC

See Also:
  Constant Field Values

### GESTALT_GRAPHICS_TRANSPARENCY

    public static final int GESTALT_GRAPHICS_TRANSPARENCY

See Also:
  Constant Field Values

### EVTYPE_NONE

    public static final int EVTYPE_NONE

See Also:
  Constant Field Values

### EVTYPE_TIMER

    public static final int EVTYPE_TIMER

See Also:
  Constant Field Values

### EVTYPE_CHAR_INPUT

    public static final int EVTYPE_CHAR_INPUT

See Also:
  Constant Field Values

### EVTYPE_LINE_INPUT

    public static final int EVTYPE_LINE_INPUT

See Also:
  Constant Field Values

### EVTYPE_MOUSE_INPUT

    public static final int EVTYPE_MOUSE_INPUT

See Also:
  Constant Field Values

### EVTYPE_ARRANGE

    public static final int EVTYPE_ARRANGE

See Also:
  Constant Field Values

### EVTYPE_REDRAW

    public static final int EVTYPE_REDRAW

See Also:
  Constant Field Values

### EVTYPE_SOUND_NOTIFY

    public static final int EVTYPE_SOUND_NOTIFY

See Also:
  Constant Field Values

### EVTYPE_HYPERLINK

    public static final int EVTYPE_HYPERLINK

See Also:
  Constant Field Values

### KEYCODE_UNKNOWN

    public static final int KEYCODE_UNKNOWN

See Also:
  Constant Field Values

### KEYCODE_LEFT

    public static final int KEYCODE_LEFT

See Also:
  Constant Field Values

### KEYCODE_RIGHT

    public static final int KEYCODE_RIGHT

See Also:
  Constant Field Values

### KEYCODE_UP

    public static final int KEYCODE_UP

See Also:
  Constant Field Values

### KEYCODE_DOWN

    public static final int KEYCODE_DOWN

See Also:
  Constant Field Values

### KEYCODE_RETURN

    public static final int KEYCODE_RETURN

See Also:
  Constant Field Values

### KEYCODE_DELETE

    public static final int KEYCODE_DELETE

See Also:
  Constant Field Values

### KEYCODE_ESCAPE

    public static final int KEYCODE_ESCAPE

See Also:
  Constant Field Values

### KEYCODE_TAB

    public static final int KEYCODE_TAB

See Also:
  Constant Field Values

### KEYCODE_PAGE_UP

    public static final int KEYCODE_PAGE_UP

See Also:
  Constant Field Values

### KEYCODE_PAGE_DOWN

    public static final int KEYCODE_PAGE_DOWN

See Also:
  Constant Field Values

### KEYCODE_HOME

    public static final int KEYCODE_HOME

See Also:
  Constant Field Values

### KEYCODE_END

    public static final int KEYCODE_END

See Also:
  Constant Field Values

### KEYCODE_FUNC1

    public static final int KEYCODE_FUNC1

See Also:
  Constant Field Values

### KEYCODE_FUNC2

    public static final int KEYCODE_FUNC2

See Also:
  Constant Field Values

### KEYCODE_FUNC3

    public static final int KEYCODE_FUNC3

See Also:
  Constant Field Values

### KEYCODE_FUNC4

    public static final int KEYCODE_FUNC4

See Also:
  Constant Field Values

### KEYCODE_FUNC5

    public static final int KEYCODE_FUNC5

See Also:
  Constant Field Values

### KEYCODE_FUNC6

    public static final int KEYCODE_FUNC6

See Also:
  Constant Field Values

### KEYCODE_FUNC7

    public static final int KEYCODE_FUNC7

See Also:
  Constant Field Values

### KEYCODE_FUNC8

    public static final int KEYCODE_FUNC8

See Also:
  Constant Field Values

### KEYCODE_FUNC9

    public static final int KEYCODE_FUNC9

See Also:
  Constant Field Values

### KEYCODE_FUNC10

    public static final int KEYCODE_FUNC10

See Also:
  Constant Field Values

### KEYCODE_FUNC11

    public static final int KEYCODE_FUNC11

See Also:
  Constant Field Values

### KEYCODE_FUNC12

    public static final int KEYCODE_FUNC12

See Also:
  Constant Field Values

### KEYCODE_MAXVAL

    public static final int KEYCODE_MAXVAL

See Also:
  Constant Field Values

### STYLE_NORMAL

    public static final int STYLE_NORMAL

See Also:
  Constant Field Values

### STYLE_EMPHASIZED

    public static final int STYLE_EMPHASIZED

See Also:
  Constant Field Values

### STYLE_PREFORMATTED

    public static final int STYLE_PREFORMATTED

See Also:
  Constant Field Values

### STYLE_HEADER

    public static final int STYLE_HEADER

See Also:
  Constant Field Values

### STYLE_SUBHEADER

    public static final int STYLE_SUBHEADER

See Also:
  Constant Field Values

### STYLE_ALERT

    public static final int STYLE_ALERT

See Also:
  Constant Field Values

### STYLE_NOTE

    public static final int STYLE_NOTE

See Also:
  Constant Field Values

### STYLE_BLOCKQUOTE

    public static final int STYLE_BLOCKQUOTE

See Also:
  Constant Field Values

### STYLE_INPUT

    public static final int STYLE_INPUT

See Also:
  Constant Field Values

### STYLE_USER1

    public static final int STYLE_USER1

See Also:
  Constant Field Values

### STYLE_USER2

    public static final int STYLE_USER2

See Also:
  Constant Field Values

### STYLE_NUMSTYLES

    public static final int STYLE_NUMSTYLES

See Also:
  Constant Field Values

### STYLES

    public static final java.lang.String[] STYLES

### WINTYPE_ALL_TYPES

    public static final int WINTYPE_ALL_TYPES

See Also:
  Constant Field Values

### WINTYPE_PAIR

    public static final int WINTYPE_PAIR

See Also:
  Constant Field Values

### WINTYPE_BLANK

    public static final int WINTYPE_BLANK

See Also:
  Constant Field Values

### WINTYPE_TEXT_BUFFER

    public static final int WINTYPE_TEXT_BUFFER

See Also:
  Constant Field Values

### WINTYPE_TEXT_GRID

    public static final int WINTYPE_TEXT_GRID

See Also:
  Constant Field Values

### WINTYPE_GRAPHICS

    public static final int WINTYPE_GRAPHICS

See Also:
  Constant Field Values

### WINMETHOD_LEFT

    public static final int WINMETHOD_LEFT

See Also:
  Constant Field Values

### WINMETHOD_RIGHT

    public static final int WINMETHOD_RIGHT

See Also:
  Constant Field Values

### WINMETHOD_ABOVE

    public static final int WINMETHOD_ABOVE

See Also:
  Constant Field Values

### WINMETHOD_BELOW

    public static final int WINMETHOD_BELOW

See Also:
  Constant Field Values

### WINMETHOD_DIRMASK

    public static final int WINMETHOD_DIRMASK

See Also:
  Constant Field Values

### WINMETHOD_FIXED

    public static final int WINMETHOD_FIXED

See Also:
  Constant Field Values

### WINMETHOD_PROPORTIONAL

    public static final int WINMETHOD_PROPORTIONAL

See Also:
  Constant Field Values

### WINMETHOD_DIVISION_MASK

    public static final int WINMETHOD_DIVISION_MASK

See Also:
  Constant Field Values

### FILEUSAGE_DATA

    public static final int FILEUSAGE_DATA

See Also:
  Constant Field Values

### FILEUSAGE_SAVED_GAME

    public static final int FILEUSAGE_SAVED_GAME

See Also:
  Constant Field Values

### FILEUSAGE_TRANSCRIPT

    public static final int FILEUSAGE_TRANSCRIPT

See Also:
  Constant Field Values

### FILEUSAGE_INPUT_RECORD

    public static final int FILEUSAGE_INPUT_RECORD

See Also:
  Constant Field Values

### FILEUSAGE_TYPE_MASK

    public static final int FILEUSAGE_TYPE_MASK

See Also:
  Constant Field Values

### FILEUSAGE_TEXT_MODE

    public static final int FILEUSAGE_TEXT_MODE

See Also:
  Constant Field Values

### FILEUSAGE_BINARY_MODE

    public static final int FILEUSAGE_BINARY_MODE

See Also:
  Constant Field Values

### FILEMODE_WRITE

    public static final int FILEMODE_WRITE

See Also:
  Constant Field Values

### FILEMODE_READ

    public static final int FILEMODE_READ

See Also:
  Constant Field Values

### FILEMODE_READ_WRITE

    public static final int FILEMODE_READ_WRITE

See Also:
  Constant Field Values

### FILEMODE_WRITE_APPEND

    public static final int FILEMODE_WRITE_APPEND

See Also:
  Constant Field Values

### SEEKMODE_START

    public static final int SEEKMODE_START

See Also:
  Constant Field Values

### SEEKMODE_CURRENT

    public static final int SEEKMODE_CURRENT

See Also:
  Constant Field Values

### SEEKMODE_END

    public static final int SEEKMODE_END

See Also:
  Constant Field Values

### STYLEHINT_INDENTATION

    public static final int STYLEHINT_INDENTATION

See Also:
  Constant Field Values

### STYLEHINT_PARA_INDENTATION

    public static final int STYLEHINT_PARA_INDENTATION

See Also:
  Constant Field Values

### STYLEHINT_JUSTIFICATION

    public static final int STYLEHINT_JUSTIFICATION

See Also:
  Constant Field Values

### STYLEHINT_SIZE

    public static final int STYLEHINT_SIZE

See Also:
  Constant Field Values

### STYLEHINT_WEIGHT

    public static final int STYLEHINT_WEIGHT

See Also:
  Constant Field Values

### STYLEHINT_OBLIQUE

    public static final int STYLEHINT_OBLIQUE

See Also:
  Constant Field Values

### STYLEHINT_PROPORTIONAL

    public static final int STYLEHINT_PROPORTIONAL

See Also:
  Constant Field Values

### STYLEHINT_TEXT_COLOR

    public static final int STYLEHINT_TEXT_COLOR

See Also:
  Constant Field Values

### STYLEHINT_BACK_COLOR

    public static final int STYLEHINT_BACK_COLOR

See Also:
  Constant Field Values

### STYLEHINT_REVERSE_COLOR

    public static final int STYLEHINT_REVERSE_COLOR

See Also:
  Constant Field Values

### STYLEHINT_NUMHINTS

    public static final int STYLEHINT_NUMHINTS

See Also:
  Constant Field Values

### STYLEHINT_JUST_LEFT_FLUSH

    public static final int STYLEHINT_JUST_LEFT_FLUSH

See Also:
  Constant Field Values

### STYLEHINT_JUST_LEFT_RIGHT

    public static final int STYLEHINT_JUST_LEFT_RIGHT

See Also:
  Constant Field Values

### STYLEHINT_JUST_CENTERED

    public static final int STYLEHINT_JUST_CENTERED

See Also:
  Constant Field Values

### STYLEHINT_JUST_RIGHT_FLUSH

    public static final int STYLEHINT_JUST_RIGHT_FLUSH

See Also:
  Constant Field Values

### IMAGEALIGN_INLINE_UP

    public static final int IMAGEALIGN_INLINE_UP

See Also:
  Constant Field Values

### IMAGEALIGN_INLINE_DOWN

    public static final int IMAGEALIGN_INLINE_DOWN

See Also:
  Constant Field Values

### IMAGEALIGN_INLINE_CENTER

    public static final int IMAGEALIGN_INLINE_CENTER

See Also:
  Constant Field Values

### IMAGEALIGN_MARGIN_LEFT

    public static final int IMAGEALIGN_MARGIN_LEFT

See Also:
  Constant Field Values

### IMAGEALIGN_MARGIN_RIGHT

    public static final int IMAGEALIGN_MARGIN_RIGHT

See Also:
  Constant Field Values

### STRICTNESS_IGNORE

    public static final int STRICTNESS_IGNORE

See Also:
  Constant Field Values

### STRICTNESS_WARN

    public static final int STRICTNESS_WARN

See Also:
  Constant Field Values

### STRICTNESS_DIE

    public static final int STRICTNESS_DIE

See Also:
  Constant Field Values

Constructor Detail

### Glk

    public Glk()

Method Detail

### setFrame

    public static void setFrame(javax.swing.JFrame frame)

### setFrame

    public static void setFrame(javax.swing.JFrame frame,
                                boolean statusOn,
                                boolean bordersOn,
                                java.lang.String proportionalFont,
                                java.lang.String fixedFont,
                                int propFontSize,
                                int fixedFontSize)

### flush

    public static void flush()

### reset

    public static void reset()

### getStatusPane

    public static StatusPane getStatusPane()

### progress

    public static void progress(java.lang.String stJob,
                                int min,
                                int max,
                                int cur)

### setBlorbFile

    public static void setBlorbFile(BlorbFile f)

### setMorePromptCallback

    public static void setMorePromptCallback(ObjectCallback c)

### setCreationCallback

    public static void setCreationCallback(ObjectCallback c)

### setDestructionCallback

    public static void setDestructionCallback(ObjectCallback c)

### tick

    public static void tick()

### setInterruptHandler

    public static void setInterruptHandler(java.lang.Object o)

### exit

    public static void exit()

### windowIterate

    public static Window windowIterate(Window win,
                                       OutInt rock)

### streamIterate

    public static Stream streamIterate(Stream s,
                                       OutInt rock)

### filerefIterate

    public static Fileref filerefIterate(Fileref f,
                                         OutInt rock)

### schannelIterate

    public static SoundChannel schannelIterate(SoundChannel s,
                                               OutInt rock)

### charToLower

    public static char charToLower(char ch)

### charToUpper

    public static char charToUpper(char ch)

### windowGetRoot

    public static Window windowGetRoot()

### windowGetArrangement

    public static void windowGetArrangement(Window win,
                                            OutInt method,
                                            OutInt size,
                                            OutWindow key)

### windowSetArrangement

    public static void windowSetArrangement(Window win,
                                            int method,
                                            int size,
                                            Window newKey)

### windowGetSize

    public static void windowGetSize(Window win,
                                     OutInt b1,
                                     OutInt b2)

### windowGetSibling

    public static Window windowGetSibling(Window win)

### windowGetParent

    public static Window windowGetParent(Window win)

### windowGetType

    public static int windowGetType(Window win)

### windowGetRock

    public static int windowGetRock(Window w)

### windowClear

    public static void windowClear(Window win)

### windowOpen

    public static Window windowOpen(Window w,
                                    int method,
                                    int size,
                                    int wintype,
                                    int rock)

### windowClose

    public static void windowClose(Window w,
                                   Stream.Result streamresult)

### windowSetEchoStream

    public static void windowSetEchoStream(Window win,
                                           Stream s)

### windowGetEchoStream

    public static Stream windowGetEchoStream(Window win)

### windowGetStream

    public static Stream windowGetStream(Window win)

### setWindow

    public static void setWindow(Window win)

### streamSetCurrent

    public static void streamSetCurrent(Stream s)

### streamGetCurrent

    public static Stream streamGetCurrent()

### putChar

    public static void putChar(char ch)

### putString

    public static void putString(java.lang.String s)

### putBuffer

    public static void putBuffer(InByteBuffer b,
                                 int len)

### putCharStream

    public static void putCharStream(Stream s,
                                     int ch)

### putStringStream

    public static void putStringStream(Stream stm,
                                       java.lang.String s)

### putBufferStream

    public static void putBufferStream(Stream s,
                                       InByteBuffer b,
                                       int len)

### getCharStream

    public static int getCharStream(Stream s)

### getBufferStream

    public static int getBufferStream(Stream s,
                                      OutByteBuffer b,
                                      int len)

### getLineStream

    public static int getLineStream(Stream s,
                                    OutByteBuffer b,
                                    int len)

### streamClose

    public static void streamClose(Stream s,
                                   Stream.Result b)

### streamGetPosition

    public static int streamGetPosition(Stream s)

### streamSetPosition

    public static void streamSetPosition(Stream s,
                                         int pos,
                                         int seekmode)

### streamOpenMemory

    public static Stream streamOpenMemory(InOutByteBuffer b,
                                          int len,
                                          int mode,
                                          int rock)

### streamOpenFile

    public static Stream streamOpenFile(Fileref ref,
                                        int mode,
                                        int rock)

### streamGetRock

    public static int streamGetRock(Stream s)

### setStyleStream

    public static void setStyleStream(Stream s,
                                      int style)

### setStyle

    public static void setStyle(int style)

### stylehintSet

    public static void stylehintSet(int wintype,
                                    int style,
                                    int hint,
                                    int val)

### stylehintClear

    public static void stylehintClear(int wintype,
                                      int style,
                                      int hint)

### styleDistinguish

    public static boolean styleDistinguish(Window win,
                                           int s1,
                                           int s2)

### styleMeasure

    public static boolean styleMeasure(Window win,
                                       int style,
                                       int hint,
                                       OutInt result)

### filerefCreateTemp

    public static Fileref filerefCreateTemp(int usage,
                                            int rock)

### filerefCreateByPrompt

    public static Fileref filerefCreateByPrompt(int usage,
                                                int mode,
                                                int rock)

### filerefCreateByName

    public static Fileref filerefCreateByName(int usage,
                                              java.lang.String name,
                                              int rock)

### filerefCreateFromFileref

    public static Fileref filerefCreateFromFileref(int usage,
                                                   Fileref r,
                                                   int rock)

### filerefDestroy

    public static void filerefDestroy(Fileref ref)

### filerefDeleteFile

    public static void filerefDeleteFile(Fileref ref)

### filerefDoesFileExist

    public static boolean filerefDoesFileExist(Fileref ref)

### filerefGetRock

    public static int filerefGetRock(Fileref ref)

### schannelGetRock

    public static int schannelGetRock(SoundChannel c)

### schannelCreate

    public static SoundChannel schannelCreate(int rock)

### schannelDestroy

    public static void schannelDestroy(SoundChannel c)

### schannelPlayExt

    public static boolean schannelPlayExt(SoundChannel c,
                                          int soundId,
                                          int repeat,
                                          int notify)

### schannelPlay

    public static boolean schannelPlay(SoundChannel c,
                                       int soundId)

### schannelStop

    public static void schannelStop(SoundChannel c)

### schannelSetVolume

    public static void schannelSetVolume(SoundChannel c,
                                         int vol)

### soundLoadHint

    public static void soundLoadHint(int soundId,
                                     int val)

### gestalt

    public static int gestalt(int sel,
                              int val)

### gestaltExt

    public static int gestaltExt(int sel,
                                 int val,
                                 InOutIntBuffer arr,
                                 int len)

### requestCharEvent

    public static void requestCharEvent(Window win)

### cancelCharEvent

    public static void cancelCharEvent(Window win)

### requestLineEvent

    public static void requestLineEvent(Window win,
                                        InOutByteBuffer b,
                                        int maxlen,
                                        int initlen)

### cancelLineEvent

    public static void cancelLineEvent(Window win,
                                       Glk.GlkEvent e)

### requestMouseEvent

    public static void requestMouseEvent(Window win)

### cancelMouseEvent

    public static void cancelMouseEvent(Window win)

### requestTimerEvents

    public static void requestTimerEvents(int delta)

### imageDraw

    public static boolean imageDraw(Window win,
                                    int imgid,
                                    int val1,
                                    int val2)

### imageDrawScaled

    public static boolean imageDrawScaled(Window win,
                                          int imgid,
                                          int val1,
                                          int val2,
                                          int width,
                                          int height)

### imageGetInfo

    public static boolean imageGetInfo(int imgid,
                                       OutInt width,
                                       OutInt height)

### windowSetBackgroundColor

    public static void windowSetBackgroundColor(Window win,
                                                java.awt.Color c)

### windowFillRect

    public static void windowFillRect(Window win,
                                      java.awt.Color c,
                                      int left,
                                      int top,
                                      int width,
                                      int height)

### windowEraseRect

    public static void windowEraseRect(Window win,
                                       int left,
                                       int top,
                                       int width,
                                       int height)

### windowFlowBreak

    public static void windowFlowBreak(Window win)

### windowMoveCursor

    public static void windowMoveCursor(Window win,
                                        int x,
                                        int y)

### setHyperlink

    public static void setHyperlink(int val)

### setHyperlinkStream

    public static void setHyperlinkStream(Stream s,
                                          int val)

### requestHyperlinkEvent

    public static void requestHyperlinkEvent(Window w)

### cancelHyperlinkEvent

    public static void cancelHyperlinkEvent(Window w)

### select

    public static void select(Glk.GlkEvent e)

### selectPoll

    public static void selectPoll(Glk.GlkEvent e)

### addEvent

    public static void addEvent(Glk.GlkEvent e)

### getImage

    public static java.awt.Image getImage(int id,
                                          int xscale,
                                          int yscale)

### colorToInt

    public static int colorToInt(java.awt.Color c)

### intToColor

    public static java.awt.Color intToColor(int i)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD